Bug 231159 - [UPDATE] sysutils/s6: update to 2.7.2.0, hand off maintainership
Summary: [UPDATE] sysutils/s6: update to 2.7.2.0, hand off maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-04 18:46 UTC by Colin Booth
Modified: 2018-09-18 18:27 UTC (History)
2 users (show)

See Also:


Attachments
Port Update (2.47 KB, patch)
2018-09-04 18:46 UTC, Colin Booth
no flags Details | Diff
Fixup download url (2.47 KB, patch)
2018-09-16 17:41 UTC, Colin Booth
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Booth 2018-09-04 18:46:58 UTC
Created attachment 196869 [details]
Port Update

Diff contains the following changes:
Makefile: Version bump, maintainer handoff
distinfo: contents update
pkg-plist: file drift

Notable changes between 2.5.0.0 and 2.7.2.0:
    2.5.1.0: 
      s6-ftrig-listen1 prints the last event it received to stdout.
      The timeout-kill file is now recognized in a service directory and allows s6-svc -d to send a SIGKILL after a timeout if the process is still not dead after the initial SIGTERM and SIGCONT. 
    2.6.1.0:
      New program: s6-notifyoncheck.
    2.7.1.0:
      New commands: s6-svdt, s6-svdt-clear, s6-permafailon for fine-grained service control in failure conditions.
      s6-tai64nlocal can now print GMT times with the -g option. 
    2.7.2.0:
      -d notif option added to s6-svscan.
      New optional ./down-signal file in a service directory, to tell s6-supervise to use a signal other than SIGTERM when bringing the service down.
      New -r option added to s6-svc, to restart the service via the signal defined in ./down-signal. 

As always, update notes can be found at:
https://www.skarnet.org/software/s6/upgrade.html
Comment 1 Fernando Apesteguía freebsd_committer 2018-09-11 15:32:40 UTC
Take
Comment 2 Colin Booth 2018-09-16 17:41:44 UTC
Created attachment 197148 [details]
Fixup download url
Comment 3 Colin Booth 2018-09-16 17:53:31 UTC
crest@lrwinm.de is another freebsd user of skarnet.org software who has graciously accepted maintainer duties as I no longer have the time to do it. Jan currently maintains libuecc and is much more active in freebsd circles than I ever have been.
Comment 4 commit-hook freebsd_committer 2018-09-18 18:26:09 UTC
A commit references this bug:

Author: fernape
Date: Tue Sep 18 18:25:48 UTC 2018
New revision: 480057
URL: https://svnweb.freebsd.org/changeset/ports/480057

Log:
  sysutils/s6: update to 2.7.2.0

  * Change maintainership
  * Reorder some variables

  Change log: http://www.skarnet.org/software/s6/upgrade.html

  PR:	231159
  Submitted by:	colin-ports@heliocat.net
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D17224

Changes:
  head/sysutils/s6/Makefile
  head/sysutils/s6/distinfo
  head/sysutils/s6/pkg-plist
Comment 5 Fernando Apesteguía freebsd_committer 2018-09-18 18:27:08 UTC
Committed,

Thanks!